KLICK(1)

NAME
klick - An advanced metronome for JACK

SYNOPSIS
klick [options] [bars] [meter] tempo[-tempo2/accel] [pattern]
klick [options] -f filename
klick [options] -i
klick [options] -j

DESCRIPTION
klick is an advanced command-line based metronome using the JACK sound server. It allows you to define complex tempo maps for entire songs or performances. A single meter and tempo can be specified on the command line, while more complex tempo maps can be read from plain text files. Alternatively, it's also possible to run klick in interactive mode, where the tempo can be changed at runtime using the keyboard, or to follow tempo information read from JACK transport.

OPTIONS

-f filename
    load tempo map from file

-j  no tempo map, just follow jack transport

-n name
    set jack client name

-p port,..
    jack port(s) to connect to

-P  automatically connect to hardware ports

-o port
    OSC port to listen on

-i  interactive mode

-W filename
    export click track to audio file

-r samplerate
    sample rate of export (default: 48000)

-s number
    use built-in sounds:
    0: square wave (default)
    1: sine wave
    2: noise
    3: acoustic bell/click

-S file[,file]
    load sounds from file(s)

-e  no emphasized beats

-E  emphasized beats only

-v mult[,mult]
    adjust playback volume (default: 1.0)

-w mult[,mult]
    adjust playback pitch (default: 1.0)

-t  enable jack transport

-T  become transport master (implies -t)

-d seconds
    delay before starting playback

-c bars
    pre-roll. use -c 0 for 2 beats

-l label
    start playback at the given label

-x multiplier
    multiply tempo by the given factor

-h  show help

TEMPO MAP FILE FORMAT
[label:] bars [meter] tempo [pattern] [volume]
...

SEE ALSO
The full documentation for klick can be found in HTML format at

/usr/share/doc/klick/manual.html

AUTHOR
Dominic Sacre <dominic.sacre@gmx.de>